	mui.init();

		
			mui.back = function() {
				mui.openWindow({
					
					url: 'flow_main.html'				
				});
				
					
			}
			var pageNo = 1;
			var pageNo2 = 1;
			(function($) {
				var segmentedControl = document.getElementById('segmentedControl22');
				$('.mui-input-group').on('change', 'input', function() {
					if(this.checked) {
						var styleEl = document.querySelector('input[name="style"]:checked');
						console.log(styleEl);
						var colorEl = document.querySelector('input[name="color"]:checked');
						if(styleEl && colorEl) {
							var style = styleEl.value;
							var color = colorEl.value;
							segmentedControl.className = 'mui-segmented-control' + (style ? (' mui-segmented-control-' + style) : '') + ' mui-segmented-control-' + color;
						}
					}
				});
				//初始化单页的区域滚动
				mui('.mui-scroll-wrapper').scroll();
				//阻尼系数
				var deceleration = mui.os.ios ? 0.003 : 0.0009;
				$('.mui-scroll-wrapper').scroll({
					bounce: false,
					indicators: true, //是否显示滚动条
					deceleration: deceleration
				});
				var kaipiaoxinxi;

				mui.plusReady(function() {
					var self1 = plus.webview.currentWebview();
					var billfolder_id = self1.billfolder_id;
					var sm = self1.smid;
					var re = self1.reid;
					var phfirst = true;
					var refirst = true;
					kaipiaoxinxi = document.getElementById("kaipiaoxinxi");
					//receiveAccount = document.getElementById("receiveAccount");

					//循环初始化所有下拉刷新，上拉加载。
					$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
						$(pullRefreshEl).pullToRefresh({
							down: {
								callback: function() {
									var self = this;
									setTimeout(function() {
										var ul = self.element.querySelector('.mui-table-view');
										createFragment2(ul, self);
										self.endPullDownToRefresh();
									}, 1000);
								}
							},
							up: {
								contentrefresh: '正在加载...',
								auto: true, //可选,默认false.自动上拉加载一次
								callback: function() {
									var self = this;
									setTimeout(function() {
										var ul = self.element.querySelector('.mui-table-view');
										console.log(pullRefreshEl.id);
										createFragment(ul, self);
										self.endPullUpToRefresh();
									}, 1000);
								}
							}
						});
					});
					var createFragment = function(ul, self) {
						var dataType = self.element.id;
						if("kaipiaoxinxiDiv" == dataType) {
							bidown(ul, self);
						} 
					}

					//下拉菜单

					var createFragment2 = function(ul, self) {
						var dataType = self.element.id;
						if("kaipiaoxinxiDiv" == dataType) {
							pageNo = 1;
							vmA.itemAs = [];
							bidown(ul, self);
						} 
					}

					//开票资料信息
					function bidown(ul, self) {
						var url = API.API_URL();
						var state = app.getState(); //获取登陆信息
						var staffId = state.user.useId;
						console.log("id1111111==" + billfolder_id);
						var obj = {
							'serviceId': 'oa_2018B1027PHONE002',
							'params': '{staffId:' + staffId + ',p:"' + pageNo + '",pSize:"' + APP.PageSize + '",billfolder_id:"' + billfolder_id + '"}'
						};
						mui.ajax(url, {
							dataType: 'json', //服务器返回json格式数据
							type: 'post', //HTTP请求类型
							data: obj,
							timeout: 10000, //超时时间设置为10秒；
							headers: {
								'Accept': 'application/json'
							}, //超时时间设置为10秒；
							success: function(data) {
								if(data.returnCode == "0") {
									var result = data.returnParams.list;
									console.log(JSON.stringify(data));
									var totalRow = data.returnParams.total;
									var totalPage = Math.ceil(totalRow / APP.PageSize);
									//									if(totalPage == 0) {
									//										totalPage = 1;
									//									}
									console.log("开票资料计算总页数==" + totalPage);
									if(result.length > 0) {
										vmA.itemAs = vmA.itemAs.concat(result);
									}
									self.endPullUpToRefresh(totalPage == pageNo); //参数为true代表没有更多数据了。

									if(pageNo == 1 && totalPage > 1)

										self.refresh(true); //调用.refresh(true)方法，可重置上拉加载控件,注意：refresh()中需传入true
									pageNo = pageNo + 1;
								}
							},
							error: function(xhr, type, errorThrown) {}
						});
					}
				});
			})(mui);

			//总经会会议台账
			var vmA = new Vue({
				el: '#kaipiaoxinxiDiv',
				data: {
					itemAs: [] //列表信息流数据
				}
			});
			//收文台账
//			var vmB = new Vue({
//				el: '#receiveAccountDiv',
//				data: {
//					itemBs: [] //列表信息流数据
//				}
//			});

			

			/**
			 * 打开总经会会议纪要台账详情
			 * itemAs
			 * @param {Object} item 当前点击的新闻对象
			 */
			function open_detailA(itemA) {
				
				//触发子窗口变更新闻详情
				//console.log("item****B" + itemA);
				var bill_kaipiaoxinxi = itemA.bill_kaipiaoxinxi;
				var bill_zhizhao = itemA.bill_zhizhao;
				var bill_xukezheng = itemA.bill_xukezheng;
				var bill_lianluoren = itemA.bill_lianluoren;
				var bill_dianhua = itemA.bill_dianhua;
				var fujian = itemA.fujian;
				var srcfile = itemA.srcfile;
				var path = itemA.path;
				
				var page = "billing.html";
				console.log("*************" + srcfile + "===========" + path +"----"+bill_lianluoren);
				mui.openWindow({
					createNew: true,
					url: page,
					extras: {
						bill_kaipiaoxinxi: bill_kaipiaoxinxi,
						bill_zhizhao: bill_zhizhao,
						bill_xukezheng: bill_xukezheng,
						bill_lianluoren: bill_lianluoren,
						bill_dianhua: bill_dianhua,
						fujian: fujian,
						srcfile: srcfile,
						path: path
						
					}
				});
			}